[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomGroupBox.CMParentColorChanged

Handles the CM_PARENTCOLORCHANGED message for the control.

## Declaration

Source position: stdctrls.pp line 174

`protected procedure TCustomGroupBox.CMParentColorChanged(`
`var Message: TLMessage`
`); message;`

## Arguments

`Message` |  | Control message handled in the method.

## Description

Calls the inherited method on entry to update the value in the Color property. Calls UpdateOpaque to adjust the control style flags when the parent color is applied.

## See also

TCustomGroupBox.UpdateOpaque |  | Updates the control style when the parent background is used.
TControl.ParentColor |  | Use the Color from the Parent control, when enabled.
TControl.CMParentColorChanged |  | Handles a CM_PARENTCOLORCHANGED message for the control.